HTTP Proxy
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/http-proxy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"body": "<unknown>",
"headers": "<unknown>",
"params": "<unknown>",
"auth": "<unknown>"
}
'import requests
url = "https://api.example.com/api/projects/{projectId}/http-proxy"
payload = {
"url": "<string>",
"body": "<unknown>",
"headers": "<unknown>",
"params": "<unknown>",
"auth": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
body: JSON.stringify('<unknown>'),
headers: '<unknown>',
params: '<unknown>',
auth: '<unknown>'
})
};
fetch('https://api.example.com/api/projects/{projectId}/http-proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Decision
HTTP Proxy
Proxies an HTTP request through the decision engine for testing integrations.
POST
/
api
/
projects
/
{projectId}
/
http-proxy
HTTP Proxy
Path Parameters
Body
application/json
Target URL for the proxied request
HTTP method to use for the proxied request
Available options:
HEAD, PATCH, POST, GET, DELETE Request body to send with the proxied request
HTTP headers to include in the proxied request
Query parameters to include in the proxied request
Authentication configuration for the proxied request
Response
200 - application/json
Response received from the proxied HTTP request
Response received from the proxied HTTP request
Was this page helpful?
⌘I